dpkg-name(1)

NAME
dpkg-name - Debian-Pakete zu vollen Paketnamen umbenennen

ÜBERSICHT
dpkg-name [Option...] [--] Datei...

BESCHREIBUNG

Diese Handbuchseite dokumentiert das dpkg-name-Programm, das eine einfache Möglichkeit bereitstellt, Debian-Pakete in ihren vollen Paketnamen umzubenennen. Ein voller Paketname besteht aus Paket_Version_Architektur.Pakettyp wie in der Steuerdatei des Pakets spezifiziert. Der Version-Teil des Dateinamens besteht aus der Versionsinformation der Originalautoren optional gefolgt von einem Gedankenstrich und der Revisionsinformation. Der Pakettyp-Teil entstammt dem Feld package_type (falls vorhanden) oder wird auf deb gesetzt.

OPTIONEN

-a, --no-architecture
    Der Zieldateiname wird keine Architekturinformation enthalten.

-k, --symlink
    Lege einen Symlink an, anstatt zu verschieben.

-o, --overwrite
    Existierende Dateien werden überschrieben, falls sie den gleichen Namen wie der Zieldateiname haben.

-s, --subdir [Verzeichnis]
    Dateien werden in ein Unterverzeichnis verschoben. Falls das als Argument existierende Verzeichnis existiert, dann werden die Dateien in das Verzeichnis verschoben, andernfalls wird das Zielverzeichnis aus dem »section«-Feld des Steuerteils des Pakets extrahiert. Das Zielverzeichnis wird »unstable/binary-Architektur/Bereich« sein. Falls der Bereich nicht in der Steuerdatei gefunden werden kann, dann wird »no-section« angenommen, und in diesem Fall, wie auch für die Bereiche »non-free« und »contrib« ist das Zielverzeichnis »Bereich/binary-Architektur«. Das Bereichsfeld muss nicht angegeben werden, daher werden viele Pakete ihren Weg in das »no-section«-Gebiet finden. Verwenden Sie diese Option mit Vorsicht, sie ist unordentlich.

-c, --create-dir
    Diese Option kann zusammen mit der Option -s verwendet werden. Falls das Zielverzeichnis nicht gefunden werden kann, wird es automatisch angelegt. Verwenden Sie diese Option mit Vorsicht.

-h, --help
    Zeige den Bedienungshinweis und beende.

-v, --version
    Gebe die Version aus und beende sich.

BEISPIELE

dpkg-name bar-foo.deb
    Die Datei »bar-foo.deb« wird in bar-foo_1.0-2_i386.deb oder etwas ähnliches (abhängig von der Information, die in dem Steuerteil von »bar-foo.deb« ist) umbenannt.

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Alle Dateien mit der Endung »deb« im Verzeichnis /root/debian und seiner Unterverzeichnisse werden von dpkg-name - falls notwendig - ohne Architekturinformation umbenannt.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Machen Sie dies nicht. Ihr Archiv wird eine komplette Schweinerei werden, da viele Pakete nicht mit Bereichsinformationen kommen. Machen Sie dies nicht.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Dies kann beim Bau neuer Pakete verwendet werden.

FEHLER
Einige Pakete folgen nicht der Namensstruktur Paket_Version_Architektur.deb. Pakete, die von dpkg-name umbenannt wurden, folgen dieser Struktur. Im Allgemeinen hat diese keinen Einfluss darauf, wie Pakete von dselect(1)/dpkg(1) installiert werden, aber andere Installationswerkzeuge können von dieser Benennungsstruktur abhängen.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2011 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTOR
Copyright © 1995,1996 Erick Branderhorst

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.